.blog-ar-content {
    display: flex;
    padding: 64px 64px 0 64px;
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;
    align-self: stretch;

    max-width: 1280px;
    width: 100%;
}

.blog-sugestions {
    display: flex;
    padding: 64px;
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;
    align-self: stretch;

    max-width: 1280px;
    width: 100%;
}

.blog-artitle-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}

.blog-artitle-text {

    p,
    h3 {
        text-align: center;
    }
}

.blog-ar-banner {
    display: flex;
    height: 400px;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    align-self: stretch;

    border-radius: 16px;
    overflow: hidden;
}

.blog-ar-banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-ar-description-content {
    display: flex;
    align-items: flex-start;
    gap: 32px;
    align-self: stretch;
}

.blog-topics-socials {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    align-self: stretch;
    max-width: 300px;
    min-height: 600px;
}

.blog-topics {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

.topic-list {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
}

.topic {
    display: flex;
    align-items: center;
    gap: 16px;
    align-self: stretch;
    padding-left: 8px;

    cursor: pointer;
    transition: all 0.3s ease;

    border-left: 2px dashed var(--surface-contrast-heavy);

}

.blog-description h3 {
    scroll-margin-top: 100px;
    /* Adjust this value to match your header height */
}

.topic p {
    font-weight: 500 !important;
}

.topic.topic-active {
    border-left: solid 2px var(--surface-brand-primary-default) !important;
}

.blog-socials-list-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

.blog-socials-list-contentTM {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

.blog-descript-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;
    flex: 1 0 0;
}

.blog-description {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;

}

.blog-sugestions-title-icon {
    display: flex;
    align-items: center;
    gap: 16px;
}

.blog-ar-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.hidden-D-ar {
    display: none;
}

/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/

@media (max-width: 1152px) {
    .blog-ar-content {
        padding: 24px;
        gap: 24px;
    }

    .blog-descript-container {
        gap: 24px;
    }

    .blog-ar-description-content {
        gap: 24px;
        flex-direction: column;
    }

    .blog-sugestions {
        gap: 24px;
        padding: 24px;
    }

    .hidden-TM-ar {
        display: none;
    }

    .hidden-D-ar {
        display: flex;
    }

    .blog-topics-socials {
        min-height: 0;
        width: 100%;
        max-width: none;

    }

    .blog-topics {
        width: 100%;
    }

}

@media (max-width: 768px) {
    .blog-ar-content {
        padding: 16px;
        gap: 16px;
    }

    .blog-descript-container {
        gap: 16px;
    }

    .blog-ar-description-content {
        gap: 16px;
        flex-direction: column;
    }

    .blog-sugestions {
        gap: 16px;
        padding: 16px;
    }

    .blog-socials-list-contentTM {
        align-items: center;
    }

    .blog-socials-list-contentTM p {
        text-align: center;
    }

    .blog-description {
        align-items: center;
    }

    .blog-description p {
        text-align: center;
    }

    .blog-topics {
        gap: 8px;
    }

    .topic-list {
        gap: 8px;
    }

    .blog-artitle-text {
        text-align: center;
    }

    .blog-ar-banner {
        height: 300px;
    }
}